Summary:        Java bindings for GConf
Name:           libgconf-java
Version:        2.12.6
Release:        %mkrel 1
Epoch:          0
License:        LGPL
Group:          Development/Java
URL:            http://java-gnome.sourceforge.net/
Source0:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgconf-java/2.12/libgconf-java-%{version}.tar.bz2
Source1:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgconf-java/2.12/libgconf-java-2.12.6.changes
Source2:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgconf-java/2.12/libgconf-java-2.12.6.md5sum
Source3:        libgconf-java-2.12.6.news
Source4:        java-gnome-macros.tar.bz2
Requires:       GConf2 >= 0:2.16.0
Requires:       libgtk-java
BuildRequires:  libGConf2-devel >= 0:2.16.0
BuildRequires:  gcc-java >= 0:4.1.1
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  libgtk-java >= 0:2.10.2
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
libgconf-java is a language binding that allows developers to use the
GConf APIs from Java applications.  It is part of Java-GNOME.

%package        devel
Summary:        Compressed Java source files for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
Compressed Java source for %{name}. This is useful if you are developing
applications with IDEs like Eclipse.

%prep
%setup -q
%setup -q -T -D -a 4
%{__aclocal} -I macros --force
%{__autoconf} --force
%{__automake} --copy --force-missing
%{__libtoolize} --copy --force

%build
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
%{configure2_5x} --with-jardir=%{_javadir}
%{make}

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
%{_bindir}/zip -9 -r $zipfile $(find -name \*.java)
popd

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{__rm} -rf %{buildroot}/%{name}-%{version}

# install the src.zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
%{__install} -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_javadir}/
pushd %{buildroot}%{_javadir}
%{__ln_s} $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/api AUTHORS COPYING doc/examples NEWS README
%{_libdir}/*so*
%{_libdir}/*la
%{_libdir}/pkgconfig/*
%{_javadir}/*.jar

%files devel
%defattr(-,root,root)
%{_javadir}/*.zip


%changelog
* Wed Jan 10 2007 David Walluck <walluck@mandriva.org> 2.12.6-1mdv2007.0
+ Revision: 106884
- 2.12.6

* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 0:2.12.5-1mdv2007.1
+ Revision: 76503
- 2.12.5

* Fri Oct 20 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-4mdv2007.0
+ Revision: 71505
- rebuild for new libgtk-java
- Import libgconf-java



* Mon Aug 14 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-3mdv2007.0
- BuildRequires: libGConf2-devel

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-2mdv2007.0
- fix libtool

* Mon Aug 07 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-1mdv2007.0
- 2.12.4

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:2.12.3-1mdv2007.0
- 2.12.3

* Tue Apr 18 2006 David Walluck <walluck@mandriva.org> 0:2.12.2-1mdk
- 2.12.2

* Fri Jan 20 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-6mdk
- BuildRequires: libgtk-java

* Fri Jan 13 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-5mdk
- BuildRequires: libgtk-java-devel

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-4mdk
- fix build

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 0:2.12.1-3mdk
- set JAR and JAVADOC

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:2.12.1-2mdk
- BuildRequires: java-devel

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:2.12.1-1mdk
- 2.12.1

* Wed Oct 26 2005 David Walluck <walluck@mandriva.org> 0:2.12.0-1mdk
- 2.12.0

* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:2.10.1-1mdk
- release

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-3
- Fix permissions on src.zip.

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-2
- Add compressed java source to devel package.

* Mon Apr 11 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.1-1
- Import libgconf-java 2.10.1.

* Sat Apr  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.0-1
- Import libgconf-java 2.10.0.

* Sat Mar  5 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.92-1
- Import libgconf-java 2.9.92.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91.1-1
- Import libgconf-java 2.9.91.1.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-2
- Only build on i386 and x86_64.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-1
- Import libgconf-java 2.9.91.

* Fri Feb  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.90-1
- Import libgconf-java 2.9.90.

* Sat Nov 27 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-1
- Update sources
- Update libgconf-java-install.patch and libgconf-java-jar.patch.bz2

* Tue Nov  2 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.0-1
- Initial release.
